% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kenstone.R
\docType{methods}
\name{kenstone}
\alias{kenstone}
\alias{kenstone,Spectra-method}
\title{Kennard-Stone algorithm for optimal calibration set selection.}
\usage{
kenstone(x, size, ...)
}
\arguments{
\item{x}{a \code{Spectra} object}

\item{size}{a positive number, the number of items to choose from}

\item{...}{ignored}
}
\value{
A vector of length size giving the indices of the selected
individuals in x.
}
\description{
An implemnentation of the Kennard-Stone algorithm for calibration set selection.
}
\references{
Kennard, L.A. Stone, Technometrics 11 (1969) 137.
}
\author{
Pierre Roudier \url{pierre.roudier@gmail.com}
}
